    Tough Phones 4.05 -- San Antonio local phone directory
    
    RLW mods 28 Dec 91 for attendees, Telecommunications Seminar presented
	by The Fors at San Antonio, Texas

    - presently setup for ZComm, Hayes 2400b modem, VGA gas plasma screen;
      modem speeds in phone directory are set for 2400 bps and 1200 bps now.
    - you'll have to do your thing for 9600 + in setup and phone directory...
::
::
::  -= A lean and mean platform for Pro-YAM and ZComm by Bob Willoughby =-
::
::    (...leaner and meaner if you decide to eliminate the cribsheet...)
::
::
::  This script is a plain ASCII text file, so you can edit or view it.  It
::  does require minor editing prior to use.  If that idea gives you the
::  willies, get started with Michael Ash's excellent PHOMAST.T script and
::  come back to Tough Phones for other ideas later.  Please go to the bottom
::  of this file for additional remarks.
::
::  Note:  To use this 'tuf_fons.t' script be sure to include the DOS command
::  'set phones=[path]\tuf_fons.t' in your autoexec.bat file to tell YAM or
::  ZComm where to find the script.
::
::  Or you can do it the way I do.  I do not use the DOS environment variable
::  to define the name and location of the phone directory script - I find it
::  easier or more direct to simply rename my YAM scripts 'phones.t' and my
::  ZComm scripts 'phomast.t' because those are the names the two programs are
::  looking for.  Then when I install the SNP (serial number password), I use
::  the install program to define the location of phones.t or phomast.t. 
::  Sorry, I'm old fashioned and a creature of habit -- and I suppose I am
::  not environmentally sound, at least so far as DOS is concerned...
::
::  I actively use both YAM and ZComm, so I put YAM into c:\yam and ZComm into
::  c:\zcomm; and I use a subdirectory called \tmp in both of those program
::  directories to store the log files that I have YAM and ZComm maintain.  By
::  the way, an unregistered copy of ZComm will not maintain logs.
::  
::  Don't be concerned with menu and function key differences between
::  tuf_fons.t and phomast.t when you run them -- they differ because Mike
::  and I have different approaches to telecommunications.  That is an
::  important point - Pro-YAM and ZComm let you assign your function keys to
::  do whatever you want them to do, and it is surprisingly easy.  So, one
::  of the reasons this small script is tossed into the pot is to provide
::  additional examples of script writing which you can plagiarize.
::
::  The key thing to keep in mind about scripts is that they are quite
::  dynamic.  Times change, modems change, your phone directories change,
::  and none of this stuff is locked in concrete.
::
::  A comment about comments -- after you understand this script, all lines
::  that begin with a double colon "::" may be deleted to save space and
::  speed things up (...faster load time and less sifting for Pro-YAM or
::  ZComm to do).  Also, you can scrub the cribsheet menu when you no longer
::  need that sort of quick reference crutch.  Then you can use the F3 key
::  for some other purpose.
::
::  "Commenting out" a line is simply placing a colon at the beginning of the
::  line so the comm program will not "read" that line in the script and do
::  what it says to do.  "Uncommenting" a line is just the opposite - it
::  involves deleting the colon at the beginning of the line so the script
::  can read the command(s) on that line and use them to run the program.
::
::  Well, lets get on with the actual script that does the work...

setup   port 1          :for COM1
        : port 2        :for COM2
        ena -d          :suppress the Carrier Lost msg during setup
        pv-1            :Verbose OFF (-1 shows none; 50 shows all)
        pa10000         :works fine with a 386DX at 20mhz

set:  : putw "ATE0X4V1 S7=20 S11=55 S0=0\r"    :a typical modem setup string
      putw "AT&Y0\r"                   :set Hayes 2400b stored config profile 0
      putw "AT E1 L0 M1 S7=25 S9=04 S10=10 S11=50 S25=3\r"  :Hayes 2400b parms, RLW
      ::putw "AT E1 L0 M3 S9=07 S10=15 S11=55 S25=5\r"      :Hayes 2400b parms, RLW
            ::M0 disable spkr
            ::M3 disable spkr when rcv carrier signal & while modem is dialing
            ::L0 or L1 low spkr volume
        : putw "AT L0 V1 X4\r"             :set Hayes 2400 external modem, RLW
        : putw "AT V1\r"                   :set Hayes 1200 external modem, RLW

        pd1                     : turn on time stamping
        pi40                    : set redial for 40 seconds
        set mprefix ATDT        : Tone Dial
        : set mprefix ATDT1170, : Tone Dial plus call wait defeat, San Antonio
        set l "1"; set m "1"
        set quitcmd \003\336off\r       :press Alt-Q to set up auto log off
                                        :when a long file xfr is finished

    ::  Note:  I like the following color setup with EGA/VGA color monitors,
    ::         so I just uncomment the color setup and the display warpdrive
    ::         lines below as well as comment out the monochrome line when
    ::         I use a VGA monitor.  I reverse the foregoing procedure when I
    ::         use a gas plasma screen.

        : if dc p*15 p@79 pn31 pr30 pu15 ps14       :color setup
        : display warpdrive               :if CGA monitor, leave this line
                                        :commented out

        : if dc pn15 pr112 pu15 ps7 p*7 p@7       :for std monochrome monitor

        if dc pn15 pr15 pu15 ps7 p*7 p@7        :more legible for gas plasma
                                                  :VGA 16 gray scale screen
                                                  :on Toshiba 5200.  "pn7" is
                                                  :better on Toshiba 3200SX.

        set disks "abcde"

        display bell=visual    :Comment this line out if you like to be nagged!
                               :: (commenting out line above turns on the beep)

        echo "Resetting Function Keys"; reskeys

        set f3 "@gosub qref"            ::Call Quick Reference Screen
        set f4 "@kermit rb"             ::receive Super Kermit download
        set f5 "@accept s2 Send_ASCII_Msg: f -p %s2"
        : set f6 "@accept s3 Send_Z_MT: sz -rm /yam/%s3"  :send file in /yam
                                                 :dir via Zmodem MobyTurbo
                  : above line for use w/YAM - Comment it out if using ZComm
        set f6 "@accept s3 Send_Z_MT: sz -rm /zcomm/%s3" :send file in /zcomm
                                                 :dir via Zmodem MobyTurbo
                  : uncomment above line if using ZComm
        set f7 "@accept s4 Receive_CRCX: rc %s4"
        set f8 "@accept s5 Send_CRCX: sx %s5"
        set f9 "@keys"                   ::display func key assignments
        : set helpfile "@!yhp \yam\umanh.hlp main"; set f10 "@help"
                  : above line for use w/YAM - Comment it out if using ZComm
        set helpfile "@!yhp \zcomm\zmanh.hlp zmain"; set f10 "@help"
                  : uncomment above line if using ZComm
        set fa1 "@gosub dir_chk"
        set fa2 "@accept s6 Start_Capture_file_named: ; create -S %s6"
        set fa3 "@write; close"             :write and close capture file
        set fa5 "@kill; call -40 omen24"
        set fa6 "@kill; call -40 buerg_1"
        set fa7 "@kill; call -40 sands24"
        set fa8 "@kill; call -40 apco_2"
        set fa9 "@kill; call -40 blach24"
        set fa10 "@kill; call -40 olde24"
        set fa11 "@kill; call -40 mb_1"
        set fa12 "@kill; call -40 shane24"

        : set calllog /yam/tmp/calllog  :Comment out this line if using ZComm
        : set rxlog /yam/tmp/rxlog      :Comment out this line if using ZComm
        : set txlog /yam/tmp/txlog      :Comment out this line if using ZComm
        : set tmp /yam/tmp              :Comment out this line if using ZComm

	:: Presently set for unregistered shareware version of ZComm; uncomment
	:: the next three lines after you register ZComm in order to create log
	:: files in the /tmp subdirectory.  The unregistered shareware version
	:: of ZComm can not make log files - it also has a very small circular
	:: buffer (scrollback buffer).  Registration expands the circular
	:: to a truly useful size!

        : set calllog /zcomm/tmp/calllog  :Uncomment this line if using ZComm
        : set rxlog /zcomm/tmp/rxlog      :Uncomment this line if using ZComm
        : set txlog /zcomm/tmp/txlog      :Uncomment this line if using ZComm
        set tmp /zcomm/tmp              :Uncomment this line if using ZComm

        set adlopts rm     : makes Zmodem AutoDownload xfrs use the "r"
                           : (resume/Crash Recovery) option along with
                           : MobyTurbo mode of Zmodem.


::            This is an opening msg re the quick reference cribsheet.
::            Comment out the next three lines to skip the opening msg.
 echo ""
 echo "                    Press F3 for Quick Reference                       "
 echo ""

qref  cls      :subroutine for quick reference "cribsheet" screen
 echo "                                                                       "
 echo "                   Bob's Pro-YAM/ZComm Cribsheet                       "
 echo "                                                                       "
 echo "F1  Exit Circular Buffer            F2  Enter Circular Buffer          "
 echo "F3  This Cribsheet                  F4  Receive Kermit Download        "
 echo "F5  Send ASCII Text                 F6  Send Zmodem Upload             "
 echo "F7  Receive CrcXmodem Download      F8  Send CrcXmodem Upload          "
 echo "F9  Show All Key Assignments        F10  Flashup Help Processor        "
 echo "Alt-1  Get DOS Command prompt       Alt-2  Get YAM Command prompt      "
 echo "                                                                       "
 echo "                   -->  Capture File Routines <--                      "
 echo "aF1  Chk capture files called _?_   aF2  Start a new capture file      "
 echo "aF3  Close an open capture file                                        "
 echo "                                                                       "
 echo "                 --> Some Bulletin Board Systems <--                   "
 echo "aF5  Telegodzilla..Chuck Forsberg   aF6  VOR BBS          ...Vern Buerg"
 echo "aF7  Sands Pro BBS ..Steve Shelton  aF8  APCO       ...Robert Schoenert"
 echo "aF9  Computer Connections .Blacher  aF10 Olde Guard     ...Dick Fochler"
 echo "aF11 Motherboard   ...Julie Buerg   aF12 Commando Spt    ...Shane Stump"
 echo "                                                                       "
 echo "        To get out of ZComm, enter 'off' at the command prompt.        "
 echo "Emergency EXIT - Enter 'ALT N' to Nuke it; then enter 'bye' to hang up!"
 echo ""

dir_chk
  accept s7 "\r\n\t Directory of which capture files?:"
  lput "\r\n"
  dirx %s7.*    ::Couldn't get DOS to substitute variable here so used YAM cmd
  lput "\r\n"
  return


::
::                  --- PHONE DIRECTORY ENTRIES ---
::
omen24          speed 2400  %l-503-617-1698 ena -E;t -8g :home
omen12          speed 1200  %l-503-617-1698 ena -E;t -8g :home
: omen-voice    %l-503-614-0430\;                        : The Fors
olde24          speed 2400  684-4470 ena -E;t -8g  :subscribe
olde12          speed 1200  684-4470 ena -E;t -8g  :subscribe
sands24         speed 2400  1-713-961-6604 ena -E;t -8g  :public
sands12         speed 1200  1-713-961-6604 ena -E;t -8g  :public
apco_1          speed 2400  496-5558 ena -E;t -8g  :member Node 1
apco_2          speed 2400  496-5559 ena -E;t -8g  :member Node 2
apco_112        speed 1200  496-5558 ena -E;t -8g  :member Node 1
apco_212        speed 1200  496-5559 ena -E;t -8g  :member Node 2
shane_1  	speed 2400  670-1809 ena -EyZ;t -8g  :home, Back & Forth
shane_112       speed 1200  670-1809 ena -EyZ;t -8g  :home, Back & Forth
shane_2  	speed 2400  670-0954 ena -EyZ;t -8g  :home, Back & Forth
shane_212       speed 1200  670-0954 ena -EyZ;t -8g  :home, Back & Forth
buerg_4         speed 2400  1-707-778-8817 ena -E;t -8g  :subscriber Node 4
buerg_3         speed 2400  1-707-778-8749 ena -E;t -8g  :subscriber Node 3
buerg_2         speed 2400  1-707-778-8936 ena -E;t -8g  :subscriber Node 2
buerg_1         speed 2400  1-707-778-8944 ena -E;t -8g  :VOR BBS, public node
buerg412        speed 1200  1-707-778-8817 ena -E;t -8g  :subscriber Node 4
buerg312        speed 1200  1-707-778-8749 ena -E;t -8g  :subscriber Node 3
buerg212        speed 1200  1-707-778-8936 ena -E;t -8g  :subscriber Node 2
mb_1            speed 2400  1-707-778-8841 ena -E;t -8g  :public Node 1
mb_2            speed 2400  1-707-778-8743 ena -E;t -8g  :public Node 2
mb_112          speed 1200  1-707-778-8841 ena -E;t -8g  :public Node 1
mb_212          speed 1200  1-707-778-8743 ena -E;t -8g  :public Node 2
blach24		speed 2400  1-202-547-2008 ena -E;t -8g  :Robert Blacher
blach12		speed 1200  1-202-547-2008 ena -E;t -8g  :Robert Blacher
doane24         speed 2400  1-314-569-3176 ena -E;t -8g  :ag info svc, pay
doane12         speed 1200  1-314-569-3176 ena -E;t -8g  :ag info svc, pay
::
::                     -= END OF PHONE DIRECTORY =-


::                Bob's Slick Manual Capture File Gambit
::
::  Capture file directory information routine -- capture files are located in
::  /yam directory, and are named according to the bbs called... e.g. mb.007
::  for motherboard file number 007.  Please see cribsheet for function keys
::  used in this script as well as the function key assignments in setup.  I
::  do not use a routine to automatically create capture files when I log
::  onto a system because I do not necessarily want a capture every time.  I
::  usually look first - if there are only three or four new messages that
::  are of no interest and there are no new files that are interesting, I do
::  not open a capture file for that particular comm session.  On the other
::  hand, if there are lots of msgs I have not read and/or new files that
::  attract my attention, I will check my current capture files with Alt-F1
::  and enter the filename for the board I am logged onto (e.g. 'olde' for
::  Olde Guard) to determine the last capture file number used; then I use
::  Alt-F2 to start a new capture file with the next capture file number.
::  For example, if the last filename for Olde Guard was olde.081, I hit
::  Alt-F2 and then enter 'olde.082' to kick off the next capture file in
::  the Olde Guard sequence with stripping of ascii/ansi characters (well,
::  most of them) activated.  Before I log off, I use Alt-F3 to close the
::  current sesssion capture file.  Naturally, the function key assignments
::  I use are arbitrary - if you want to do capture files in this manner, the
::  function key assignments and the labeling in the cribsheet are easily
::  changed to fit your script.  Mike Ash has a different approach in
::  phomast.t to use autologon scripts and to create capture files
::  automatically.  This explanation is only provided to give an example of a
::  different approach...  with *you* in the driver's seat.

::
::                               REMARKS
::
::  A few remarks about my Tough Phones Script, if you don't mind...  heck,
::  lets face it, if you've read this far, you're already hooked <smile>:
::
::  I use a pared down version of Tough Phones every day that is a big,
::  bad 100 or so lines and about 5,200 bytes long (I modify it all the
::  time, so the size varies a little).  Thats it -- all of it, the whole
::  enchilada!  It dispenses with the memory kicker Cheatsheet menu included
::  with this script, all commenting was eliminated, and I even sent this
::  philosophical remarks section (timeless prose though it is) to the
::  big bit bin in the sky.  All that remains in my little script is the
::  setup section, a few function key assignments, and my phone directory --
::  it does not call any external subroutine scripts and like this Tough
::  Phones Script, it has no automated features.  And, it is FAST!!
::
::  Incidentally, I would use automated logon subroutines if I had accounts
::  with CompuServe or the other timesharing outfits.
::
::  I have examined and written Pro-YAM and ZComm scripts for several
::  years and I finally decided that all I really want a script to do is
::  to fire up YAM with a few basic parameters and a phone directory.
::  Then I just light YAM's afterburners and take manual control with
::  YAM's rich command set.  I get a lot of enjoyment out of direct
::  interaction with YAM and ZComm because they are marvelously flexible --
::  I don't need or crave any more than that.  So my trimmed down version
::  of this Tough Phones Script serves my individual needs quite well.  Yes,
::  it is a Spartan approach to telecommunications, but that is the way I
::  like it.  If you want a little bedrock to use as a starting point for
::  your more sophisticated script routines, be my guest.  That is why
::  I am making Tough Phones available.
::
::  Please understand that Tough Phones is a purely personal working script
::   -- it was not designed to teach script writing or to "cover all the
::  bases" for beginners.  If you want to kickstart YAM or ZComm and burn
::  rubber right out of the blocks, you need to get things up and running
::  with Michael Ash's excellent PHOMAST.T script which is distributed
::  with Pro-YAM and ZComm or available separately as PHOMAST6.ZIP.
::
::  Writing scripts is a lot of fun and it is very satisfying.  Many examples
::  are available in SCRIPTS.ZOO and DIALERS.ZIP which you can download from
::  Chuck Forsberg's Telegodzilla - they are in the /scripts subdirectory.
::
::  For more information, I strongly urge you to bite the bullet -- study
::  the Professional YAM manual that is furnished when you register either
::  Pro-YAM or ZComm.  Or at least read the shareware ZCOMMDOC.ZIP file
::  <..gasp..>!  You have to come to grips with the manual if you really
::  want to get the maximum benefit and power out of Pro-YAM or ZComm.  Yeah,
::  thats right...  you *know* deep down inside that is what you have to do.
::
::  In addition, you might want to subscribe to the Olde Guard (512-684-4470),
::  a bulletin board system in San Antonio, Texas that is a hangout for
::  several skillful Pro-YAM and ZComm users who enjoy swapping YAM yummies,
::  helping each other solve problems, and telling tall tales about tele-
::  communications ...<grin>.  Have a good day...
::
::                                  ...Bob
::
::++++++++++++++++++++++++++++ Thats All Folks! ++++++++++++++++++++++++++++::
